com.thinkaurelius.titan.core.schema

## Enum SchemaAction

- java.lang.Object
- - java.lang.Enum<SchemaAction>
  - - com.thinkaurelius.titan.core.schema.SchemaAction

- All Implemented Interfaces:
    Serializable, Comparable<SchemaAction>

      public enum SchemaAction
      extends Enum<SchemaAction>

  Update actions to be executed through `TitanManagement` in `TitanManagement.updateIndex(TitanIndex, SchemaAction)`.
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISABLE_INDEX` Disables the index in the graph so that it is no longer used.
    `ENABLE_INDEX` Enables the index so that it can be used by the query processing engine.
    `REGISTER_INDEX` Registers the index with all instances in the graph cluster.
    `REINDEX` Re-builds the index from the graph
    `REMOVE_INDEX` Removes the index from the graph (optional operation)

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<SchemaStatus>` | `getApplicableStatus()`
    `static SchemaAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SchemaAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REGISTER_INDEX

          public static final SchemaAction REGISTER_INDEX

      Registers the index with all instances in the graph cluster. After an index is installed, it must be registered with all graph instances.

    - #### REINDEX

          public static final SchemaAction REINDEX

      Re-builds the index from the graph

    - #### ENABLE_INDEX

          public static final SchemaAction ENABLE_INDEX

      Enables the index so that it can be used by the query processing engine. An index must be registered before it can be enabled.

    - #### DISABLE_INDEX

          public static final SchemaAction DISABLE_INDEX

      Disables the index in the graph so that it is no longer used.

    - #### REMOVE_INDEX

          public static final SchemaAction REMOVE_INDEX

      Removes the index from the graph (optional operation)

  - ### Method Detail

    - #### values

          public static SchemaAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SchemaAction c : SchemaAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SchemaAction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getApplicableStatus

          public Set<SchemaStatus> getApplicableStatus()

Copyright © 2012–2014. All rights reserved.